Bug 112543 - Can't edit/open hyperlinks in text boxes and shapes in Writer
Summary: Can't edit/open hyperlinks in text boxes and shapes in Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Textbox Hyperlink 123626
  Show dependency treegraph
 
Reported: 2017-09-21 08:43 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-05-18 05:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (8.47 KB, application/vnd.oasis.opendocument.text)
2017-09-21 08:43 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-09-21 08:43:13 UTC
Open attached document. There is a text frame with a link inside.

I would expect that you have a context menu with the same entries as a normal hyperlink in Writer:
* Open Hyperlink
* Edit Hyperlink
* Copy Hyperlink Location
* Remove Hyperlink

Also Ctrl-Click should open the link in the browser (depending on the config setting in Tools->Options->Security->Options->Ctrl-Click required to follow hyperlinks).

None of this works.
Comment 1 Samuel Mehrbrodt (CIB) 2017-09-21 08:43:33 UTC
Created attachment 136418 [details]
Example document
Comment 2 Dieter 2017-09-21 09:30:54 UTC
I can confirm, that you can't edit the hyperlink:
a) no context menu
b) hyperlink in the edit-menu is greyed out

=> set to new

For me it was possible to open the link in the browser with ctrl+click.
Comment 3 Harald Koester 2018-02-24 16:46:32 UTC
Confirmed with version 6.0.1 (64 bit, Win 10).

The bug also exists for hyperlinks in shapes. Hence summary changed. Hoping, that's OK.
Comment 4 andreas_k 2018-08-20 13:19:16 UTC
can confirm this bug also in draw
Comment 5 Commit Notification 2019-07-15 06:54:15 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/86cb2a1f98c0585d2121e6ae34fe62f072ef9a63%5E%21

tdf#112543 Add Edit/Remove hyperlink to text boxes/shapes in Writer

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Dieter 2019-09-15 17:42:52 UTC
Verified in Writer, Draw and Impress with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded

Samuel, thanks for fixing it.
Comment 7 Harald Koester 2020-05-14 20:13:49 UTC
Checked in Writer with version 6.4.3 (Win 10).

I checked the behaviour with hyperlinks in Text Boxes, Shapes (in my case a rectangle) and Frames.

I observed the following:

(a) If the cursor is in normal text, then the hyperlink entries are not displayed in the context menu for hyperlinks in Text Boxes and Shapes, whereas these entries are displayed for hyperlinks in Frames. I would also expect the display of the entries for hyperlinks in Text Boxes and Shapes.

(b) If the cursor is in a Text Box, then if you move the mouse pointer above the hyperlinks in Shapes and Frames and also in normal text, the tip "Ctrl-click to open hyperlink ..." is displayed, but Ctrl-click does not work. It is the same if the cursor is in a shape. Whereas Ctrl-click works if the cursor is in a frame.

Reopen bug? New bug report?
Comment 8 Samuel Mehrbrodt (CIB) 2020-05-18 05:23:20 UTC
(In reply to Harald Koester from comment #7)
> Checked in Writer with version 6.4.3 (Win 10).
> 
> I checked the behaviour with hyperlinks in Text Boxes, Shapes (in my case a
> rectangle) and Frames.
> 
> I observed the following:
> 
> (a) If the cursor is in normal text, then the hyperlink entries are not
> displayed in the context menu for hyperlinks in Text Boxes and Shapes,
> whereas these entries are displayed for hyperlinks in Frames. I would also
> expect the display of the entries for hyperlinks in Text Boxes and Shapes.
> 
> (b) If the cursor is in a Text Box, then if you move the mouse pointer above
> the hyperlinks in Shapes and Frames and also in normal text, the tip
> "Ctrl-click to open hyperlink ..." is displayed, but Ctrl-click does not
> work. It is the same if the cursor is in a shape. Whereas Ctrl-click works
> if the cursor is in a frame.
> 
> Reopen bug? New bug report?

Please report new individual bugs for these issues. Thanks!